lacpy(3)

NAME
lacpy - lacpy: copy matrix

SYNOPSIS

  Functions

subroutine clacpy (uplo, m, n, a, lda, b, ldb)
CLACPY copies all or part of one two-dimensional array to another.
subroutine dlacpy (uplo, m, n, a, lda, b, ldb)
DLACPY copies all or part of one two-dimensional array to another.
subroutine slacpy (uplo, m, n, a, lda, b, ldb)
SLACPY copies all or part of one two-dimensional array to another.
subroutine zlacpy (uplo, m, n, a, lda, b, ldb)
ZLACPY copies all or part of one two-dimensional array to another.

Detailed Description

Function Documentation

  subroutine clacpy (character uplo, integer m, integer n, complex, dimension( lda, * ) a, integer lda, complex, dimension( ldb, * ) b, integer ldb)

CLACPY copies all or part of one two-dimensional array to another.

Purpose:

    !>
    !> CLACPY copies all or part of a two-dimensional matrix A to another
    !> matrix B.
    !>

Parameters
    UPLO

    !>          UPLO is CHARACTER*1
    !>          Specifies the part of the matrix A to be copied to B.
    !>          = 'U':      Upper triangular part
    !>          = 'L':      Lower triangular part
    !>          Otherwise:  All of the matrix A
    !>

    M

    !>          M is INTEGER
    !>          The number of rows of the matrix A.  M >= 0.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns of the matrix A.  N >= 0.
    !>

    A

    !>          A is COMPLEX array, dimension (LDA,N)
    !>          The m by n matrix A.  If UPLO = 'U', only the upper trapezium
    !>          is accessed; if UPLO = 'L', only the lower trapezium is
    !>          accessed.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the array A.  LDA >= max(1,M).
    !>

    B

    !>          B is COMPLEX array, dimension (LDB,N)
    !>          On exit, B = A in the locations specified by UPLO.
    !>

    LDB

    !>          LDB is INTEGER
    !>          The leading dimension of the array B.  LDB >= max(1,M).
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  subroutine dlacpy (character uplo, integer m, integer n, double precision, dimension( lda, * ) a, integer lda, double precision, dimension( ldb, * ) b, integer ldb)

DLACPY copies all or part of one two-dimensional array to another.

Purpose:

    !>
    !> DLACPY copies all or part of a two-dimensional matrix A to another
    !> matrix B.
    !>

Parameters
    UPLO

    !>          UPLO is CHARACTER*1
    !>          Specifies the part of the matrix A to be copied to B.
    !>          = 'U':      Upper triangular part
    !>          = 'L':      Lower triangular part
    !>          Otherwise:  All of the matrix A
    !>

    M

    !>          M is INTEGER
    !>          The number of rows of the matrix A.  M >= 0.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns of the matrix A.  N >= 0.
    !>

    A

    !>          A is DOUBLE PRECISION array, dimension (LDA,N)
    !>          The m by n matrix A.  If UPLO = 'U', only the upper triangle
    !>          or trapezoid is accessed; if UPLO = 'L', only the lower
    !>          triangle or trapezoid is accessed.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the array A.  LDA >= max(1,M).
    !>

    B

    !>          B is DOUBLE PRECISION array, dimension (LDB,N)
    !>          On exit, B = A in the locations specified by UPLO.
    !>

    LDB

    !>          LDB is INTEGER
    !>          The leading dimension of the array B.  LDB >= max(1,M).
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  subroutine slacpy (character uplo, integer m, integer n, real, dimension( lda, * ) a, integer lda, real, dimension( ldb, * ) b, integer ldb)

SLACPY copies all or part of one two-dimensional array to another.

Purpose:

    !>
    !> SLACPY copies all or part of a two-dimensional matrix A to another
    !> matrix B.
    !>

Parameters
    UPLO

    !>          UPLO is CHARACTER*1
    !>          Specifies the part of the matrix A to be copied to B.
    !>          = 'U':      Upper triangular part
    !>          = 'L':      Lower triangular part
    !>          Otherwise:  All of the matrix A
    !>

    M

    !>          M is INTEGER
    !>          The number of rows of the matrix A.  M >= 0.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns of the matrix A.  N >= 0.
    !>

    A

    !>          A is REAL array, dimension (LDA,N)
    !>          The m by n matrix A.  If UPLO = 'U', only the upper triangle
    !>          or trapezoid is accessed; if UPLO = 'L', only the lower
    !>          triangle or trapezoid is accessed.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the array A.  LDA >= max(1,M).
    !>

    B

    !>          B is REAL array, dimension (LDB,N)
    !>          On exit, B = A in the locations specified by UPLO.
    !>

    LDB

    !>          LDB is INTEGER
    !>          The leading dimension of the array B.  LDB >= max(1,M).
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  subroutine zlacpy (character uplo, integer m, integer n, complex*16, dimension( lda, * ) a, integer lda, complex*16, dimension( ldb, * ) b, integer ldb)

ZLACPY copies all or part of one two-dimensional array to another.

Purpose:

    !>
    !> ZLACPY copies all or part of a two-dimensional matrix A to another
    !> matrix B.
    !>

Parameters
    UPLO

    !>          UPLO is CHARACTER*1
    !>          Specifies the part of the matrix A to be copied to B.
    !>          = 'U':      Upper triangular part
    !>          = 'L':      Lower triangular part
    !>          Otherwise:  All of the matrix A
    !>

    M

    !>          M is INTEGER
    !>          The number of rows of the matrix A.  M >= 0.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns of the matrix A.  N >= 0.
    !>

    A

    !>          A is COMPLEX*16 array, dimension (LDA,N)
    !>          The m by n matrix A.  If UPLO = 'U', only the upper trapezium
    !>          is accessed; if UPLO = 'L', only the lower trapezium is
    !>          accessed.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the array A.  LDA >= max(1,M).
    !>

    B

    !>          B is COMPLEX*16 array, dimension (LDB,N)
    !>          On exit, B = A in the locations specified by UPLO.
    !>

    LDB

    !>          LDB is INTEGER
    !>          The leading dimension of the array B.  LDB >= max(1,M).
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Author

Generated automatically by Doxygen for LAPACK from the source code.